Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4214 - passwd -u <user> sometimes fails to do the right job
Summary: passwd -u <user> sometimes fails to do the right job
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: passwd
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-27 09:46 UTC by iusty
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-24 01:03:58 UTC


Attachments (Terms of Use)

Description iusty 1999-07-27 09:46:57 UTC
1. I do passwd -l <user>  and it does the right job -
prepending ! to the password in /etc/shadow
2. I do passwd -u <user> and sometimes,after removing the !,
it appends a few chars to the encripted password, rendering
the account unusable until a password change.
I use shadow passwords, no MD5, no nis, platform is i386.
Is repetable on user with 8 char password, on a user with 2
char is not reproducible.

Comment 1 Cristian Gafton 1999-08-24 01:03:59 UTC
should be fixed in passwd-0.59 in rawhide


Note You need to log in before you can comment on or make changes to this bug.